<!DOCTYPE html>
<html>
<head>
	<title>Events</title>
</head>
<body>
	<h1>Events</h1>

	<p id="demo">HELLOOOOOO</p>
	<button onclick="document.getElementById('demo').innerHTML = 'clicked'">BUTTON</button>

	<!--To change content of the element that is handling the event-->
	<button onclick="this.innerHTML = 'clicked'">CLICK</button>

	<!--mouseover-->
	<button onmouseover="this.innerHTML = 'mouse is over me'" onmouseout="this.innerHTML = 'mouse left me'">HELLO mouse over me please</button>

	<!-- onkeydown is used for input fields generally used mostly in search bars-->

	<!--onload will trigger when the page is loaded-->
</body>
</html>